<?php
function no_specific_language_visitors_register_settings() {
	add_option('no_specific_language_visitors_lang', '');
	add_option('no_specific_language_visitors_notice', '');
	register_setting('no_specific_language_visitors_options', 'no_specific_language_visitors_lang');
	register_setting('no_specific_language_visitors_options', 'no_specific_language_visitors_notice');
}
add_action('admin_init', 'no_specific_language_visitors_register_settings');

function no_specific_language_visitors_register_options_page() {
	add_options_page(__('No Specific Language Visitors Options Page', NO_SPECIFIC_LANGUAGE_VISITORS_TEXT_DOMAIN), __('No Specific Language Visitors', NO_SPECIFIC_LANGUAGE_VISITORS_TEXT_DOMAIN), 'manage_options', NO_SPECIFIC_LANGUAGE_VISITORS_TEXT_DOMAIN.'-options', 'no_specific_language_visitors_options_page');
}
add_action('admin_menu', 'no_specific_language_visitors_register_options_page');

function no_specific_language_visitors_get_select_option($select_option_name, $select_option_value, $select_option_id){
	?>
	<select name="<?php echo $select_option_name; ?>" id="<?php echo $select_option_name; ?>">
		<?php
		for($num = 0; $num < count($select_option_id); $num++){
			$select_option_value_each = $select_option_value[$num];
			$select_option_id_each = $select_option_id[$num];
			?>
			<option value="<?php echo $select_option_id_each; ?>"<?php if (get_option($select_option_name) == $select_option_id_each){?> selected="selected"<?php } ?>>
				<?php echo $select_option_value_each; ?>
			</option>
		<?php } ?>
	</select>
	<?php
}

function no_specific_language_visitors_get_checked($checkbox_name, $check_value){
	if(is_array($checkbox_name)){
		if(in_array($check_value, $checkbox_name)){
			?> checked="checked"<?php
		}
	}
}

function no_specific_language_visitors_get_checkbox_option($checkbox_name, $checkbox_value, $checkbox_id){
	for($num = 0; $num < count($checkbox_id); $num++){
		$checkbox_value_each = $checkbox_value[$num];
		$checkbox_id_each = $checkbox_id[$num];
		?>
		<input type="checkbox" name="<?php echo $checkbox_name; ?>[]" id="<?php echo $checkbox_id_each; ?>" value="<?php echo $checkbox_id_each; ?>"<?php no_specific_language_visitors_get_checked(get_option($checkbox_name), $checkbox_id_each); ?>><label for="<?php echo $checkbox_id_each; ?>"><?php echo $checkbox_value_each; ?></label>
	<?php
	}
}

$arefly_plugins_info = get_arefly_plugins_info();
$locale_code = get_arefly_plugins_info_locale();

function no_specific_language_visitors_options_page() {
	global $arefly_plugins_info, $locale_code;
?>
<div class="wrap">
	<h2><?php _e("No Specific Language Visitors Options Page", NO_SPECIFIC_LANGUAGE_VISITORS_TEXT_DOMAIN); ?></h2>
	<form method="post" action="options.php">
		<?php settings_fields('no_specific_language_visitors_options'); ?>
		<h3><?php _e("General Options", NO_SPECIFIC_LANGUAGE_VISITORS_TEXT_DOMAIN); ?></h3>
			<p><?php echo $arefly_plugins_info["notice"][$locale_code]; ?></p>
			<p><?php printf(__('NOTE: You can find all language code %shere%s', LAST_POST_REDIRECT_TEXT_DOMAIN), '<a href="http://www.metamodpro.com/browser-language-codes" target="_blank">', '</a>'); ?></p>
			<table class="form-table">
				<tr valign="top">
					<th scope="row"><label for="no_specific_language_visitors_lang"><?php _e("The language you want to disallow: ", LAST_POST_REDIRECT_TEXT_DOMAIN); ?></label></th>
					<td>
						<input type="text" name="no_specific_language_visitors_lang" id="no_specific_language_visitors_lang" value="<?php echo get_option('no_specific_language_visitors_lang'); ?>" />
						<?php printf(__("Use %s to explode each language.", NO_SPECIFIC_LANGUAGE_VISITORS_TEXT_DOMAIN), "<code>|</code>"); ?>
					</td>
				</tr>
				<tr valign="top">
					<th scope="row"><label for="no_specific_language_visitors_notice"><?php _e("Notice For Chinese Simplified Visitor: ", NO_SPECIFIC_LANGUAGE_VISITORS_TEXT_DOMAIN); ?></label></th>
					<td>
						<?php wp_editor(get_option("no_specific_language_visitors_notice"), "no_specific_language_visitors_notice", array('textarea_rows' => 5)); ?>
					</td>
				</tr>
			</table>
		<?php submit_button(); ?>
	</form>
	<blockquote>
		<p><?php echo $arefly_plugins_info["plugin_by_arefly"][$locale_code]; ?></p>
		<ol>
			<?php foreach ($arefly_plugins_info["plugins"] as $plugin_info){ ?>
				<li><a href="<?php echo $plugin_info["link"]; ?>" target="_blank"><?php echo $plugin_info["name"]; ?></a></li>
			<?php } ?>
		</ol>
	</blockquote>
</div>
<?php
}
?>